Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 336736 - app-doc/doxygen-1.5.8-r1 does not respect LDFLAGS
Summary: app-doc/doxygen-1.5.8-r1 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Steve Arnold
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-09-10 16:36 UTC by Dane Smith (RETIRED)
Modified: 2010-10-03 18:35 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log,50.59 KB, text/plain)
2010-09-10 16:38 UTC, Dane Smith (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dane Smith (RETIRED) gentoo-dev 2010-09-10 16:36:29 UTC
I may try to look at this sometimes after the 15th if it isn't already resolved by then. If I do start to mess with it, I'll switch it to assigned.

* As described in the Icon Theme Specification, icon file extensions are not
 * allowed in .desktop files if the value is not an absolute path.
>>> Completed installing doxygen-1.5.8-r1 into /var/tmp/portage/app-doc/doxygen-1.5.8-r1/image/

strip: i686-pc-linux-gnu-strip --strip-unneeded -R .comment
   usr/bin/doxygen
   usr/bin/doxytag
   usr/bin/doxywizard
ecompressdir: bzip2 -9 /usr/share/man

 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /usr/bin/doxywizard
Comment 1 Dane Smith (RETIRED) gentoo-dev 2010-09-10 16:38:37 UTC
Created attachment 246736 [details]
Build log

Sorry about the distcc spam. I didn't think to disable it. I'm on my laptop, so my distcc shouldn't be working.

On a related note though, if it is actually using g++ over the tc compiler, it might be wise to have it switch to use the correct tc compiler. I don't have the time to check this at the moment. Sorry.
Comment 2 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2010-09-24 23:38:24 UTC
For the record, app-doc/doxygen-1.7.1 does not have this bug. I haven't checked the other versions, however.
Comment 3 Steve Arnold gentoo-dev 2010-10-03 18:35:10 UTC
Doxygen-1.5.8-r1 updated.